<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:41 CET 2016 -->
<title>TransactionLinesData.Builder (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TransactionLinesData.Builder (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionsData.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" target="_top">Frames</a></li>
<li><a href="TransactionLinesData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount</div>
<h2 title="Class TransactionLinesData.Builder" class="title">Class TransactionLinesData.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount.TransactionLinesData.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">TransactionLinesData.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class builder</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>David Miguélez</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#accountingDate-java.lang.String-">accountingDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the accountingDate value
 
 Description: The date when the transaction was recorded in the accounting registry.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#build--">build</a></span>()</code>
<div class="block">Build the data object.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#businessPartner-java.lang.String-">businessPartner</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the businessPartner value
 
 Description: Anyone who takes part in daily business operations by acting as a customer.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#cleared-java.lang.Boolean-">cleared</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the cleared value</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#createdByAlgorithm-java.lang.Boolean-">createdByAlgorithm</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the createdByAlgorithm value</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#currency-java.lang.String-">currency</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the currency value
 
 Description: An accepted medium of monetary exchange that may vary across countries.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#depostiAmout-java.lang.String-">depostiAmout</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the depostiAmout value
 
 Description: The amount of money deposited.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#description-java.lang.String-">description</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#gLItem-java.lang.String-">gLItem</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the gLItem value
 
 Description: The General Ledger item related to this transaction.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#lineNo-java.lang.String-">lineNo</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the lineNo value
 
 Description: The number of the line.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#payment-java.lang.String-">payment</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the payment value
 
 Description: The information of the payment document associated to the transaction.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#paymentDocNo-java.lang.String-">paymentDocNo</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the paymentDocNo value
 
 Description: The number of the payment document associated to the transaction.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#reconciliation-java.lang.String-">reconciliation</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the reconciliation value
 
 Description: The reconciliation with the bank account information.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#status-java.lang.String-">status</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the status value
 
 Description: The current status of the transaction.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#transactionDate-java.lang.String-">transactionDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the transactionDate value
 
 Description: The date when the transaction was made.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#transactionType-java.lang.String-">transactionType</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the transactionType value
 
 Description: A distinct item characteristic used for processes and sometimes grouped within a
 category.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html#withdrawalAmount-java.lang.String-">withdrawalAmount</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the withdrawalAmount value
 
 Description: The amount of money withdrawn.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="lineNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lineNo</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;lineNo(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the lineNo value
 
 Description: The number of the line.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The lineNo value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="transactionDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>transactionDate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;transactionDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the transactionDate value
 
 Description: The date when the transaction was made.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The transactionDate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="payment-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>payment</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;payment(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the payment value
 
 Description: The information of the payment document associated to the transaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The payment value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="paymentDocNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paymentDocNo</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;paymentDocNo(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the paymentDocNo value
 
 Description: The number of the payment document associated to the transaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The paymentDocNo value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="businessPartner-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>businessPartner</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;businessPartner(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the businessPartner value
 
 Description: Anyone who takes part in daily business operations by acting as a customer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The businessPartner value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="status-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>status</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;status(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the status value
 
 Description: The current status of the transaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The status value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="depostiAmout-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>depostiAmout</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;depostiAmout(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the depostiAmout value
 
 Description: The amount of money deposited.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The depostiAmout value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="withdrawalAmount-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withdrawalAmount</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;withdrawalAmount(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the withdrawalAmount value
 
 Description: The amount of money withdrawn.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The withdrawalAmount value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="cleared-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cleared</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;cleared(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the cleared value</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The cleared value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="currency-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currency</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;currency(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the currency value
 
 Description: An accepted medium of monetary exchange that may vary across countries.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The currency value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="transactionType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>transactionType</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;transactionType(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the transactionType value
 
 Description: A distinct item characteristic used for processes and sometimes grouped within a
 category.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The transactionType value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="description-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;description(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The description value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="gLItem-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gLItem</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;gLItem(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the gLItem value
 
 Description: The General Ledger item related to this transaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The gLItem value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="accountingDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accountingDate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;accountingDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the accountingDate value
 
 Description: The date when the transaction was recorded in the accounting registry.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The accountingDate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="reconciliation-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reconciliation</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;reconciliation(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the reconciliation value
 
 Description: The reconciliation with the bank account information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The reconciliation value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="createdByAlgorithm-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createdByAlgorithm</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData.Builder</a>&nbsp;createdByAlgorithm(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the createdByAlgorithm value</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The createdByAlgorithm value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount">TransactionLinesData</a>&nbsp;build()</pre>
<div class="block">Build the data object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionsData.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.financialaccount"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/financialaccount/TransactionLinesData.Builder.html" target="_top">Frames</a></li>
<li><a href="TransactionLinesData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
